!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = inch  &
   angle = deg  &
   force = pound_force  &
   mass = pound_mass  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = on  &
   grid_visibility = off  &
   size_of_icons = 0.5  &
   spacing_for_grid = 39.3700787402
!
!------------------------------ Adams View Model ------------------------------!
!
!
model create  &
   model_name = plateTest_v0
!
model attributes  &
   model_name = .plateTest_v0  &
   size_of_icons = 0.5
!
view erase
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = .plateTest_v0.steel  &
   adams_id = 1  &
   density = 0.2818290049  &
   youngs_modulus = 3.002281171E+07  &
   poissons_ratio = 0.29
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = .plateTest_v0.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .plateTest_v0.ground.MARKER_1  &
   adams_id = 1  &
   location = 0.0, -7.87402, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .plateTest_v0.ground.MARKER_1  &
   size_of_icons = 0.5
!
marker create  &
   marker_name = .plateTest_v0.ground.MARKER_3  &
   adams_id = 3  &
   location = 0.0, 7.874016, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .plateTest_v0.ground.MARKER_3  &
   size_of_icons = 0.5
!
marker create  &
   marker_name = .plateTest_v0.ground.MARKER_6  &
   adams_id = 6  &
   location = -0.25, -5.5, 0.0  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .plateTest_v0.ground.MARKER_9  &
   adams_id = 9  &
   location = -0.25, -5.5, 0.0  &
   orientation = 90.0d, 90.0d, 90.0d
!
part create rigid_body mass_properties  &
   part_name = .plateTest_v0.ground  &
   material_type = .plateTest_v0.steel
!
part attributes  &
   part_name = .plateTest_v0.ground  &
   name_visibility = off  &
   size_of_icons = 0.5
!
!---------------------------------- PART_box ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .plateTest_v0.ground
!
part create rigid_body name_and_position  &
   part_name = .plateTest_v0.PART_box  &
   adams_id = 2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .plateTest_v0.PART_box
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .plateTest_v0.PART_box.MARKER_5  &
   adams_id = 5  &
   location = 0.0, -6.0, -0.5  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .plateTest_v0.PART_box.cm  &
   adams_id = 10  &
   location = -0.25, -5.5, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker create  &
   marker_name = .plateTest_v0.PART_box.MARKER_7  &
   adams_id = 7  &
   location = -0.25, -5.5, 0.0  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .plateTest_v0.PART_box.MARKER_8  &
   adams_id = 8  &
   location = -0.25, -5.5, 0.0  &
   orientation = 90.0d, 90.0d, 90.0d
!
part create rigid_body mass_properties  &
   part_name = .plateTest_v0.PART_box  &
   material_type = .plateTest_v0.steel
!
! ****** Graphics for current part ******
!
geometry create shape block  &
   block_name = .plateTest_v0.PART_box.BOX_1  &
   adams_id = 1  &
   corner_marker = .plateTest_v0.PART_box.MARKER_5  &
   diag_corner_coords = 1.0, 1.0, 0.5
!
part attributes  &
   part_name = .plateTest_v0.PART_box  &
   color = RED  &
   name_visibility = off
!
!------------------------------ Flexible Bodies -------------------------------!
!
! Create flexible bodies and their dependent markers
!
!--------------------------------- FLEX_plate ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .plateTest_v0.ground
!
part create flexible_body name_and_position  &
   flexible_body_name = .plateTest_v0.FLEX_plate  &
   adams_id = 1  &
   modal_neutral_file_name =   &
                             "C:/Users/vab4180/Documents/2021/AAMRAM_NEW/DATA/05_plate_test/plate_test_0.mnf"  &
   invariants = yes, yes, no, no, no, yes, yes, no, no  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
part modify flexible_body name_and_position  &
   flexible_body_name = .plateTest_v0.FLEX_plate  &
   adams_id = 1
!
part create flexible_body modal_ics  &
   flexible_body_name = .plateTest_v0.FLEX_plate  &
   selected_modes = 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21,  &
                    22, 23
!
part modify flexible_body deformed_mode_display  &
   flexible_body_name = .plateTest_v0.FLEX_plate  &
   display_only_deformed = yes
!
part modify flexible_body visual_representation  &
   flexible_body_name = .plateTest_v0.FLEX_plate  &
   scale_factor = 1.0
!
defaults coordinate_system  &
   default_coordinate_system = .plateTest_v0.FLEX_plate
!
! ****** Markers for current flexible body ******
!
undo begin_block suppress = yes
!
! IMPORTANT: Flexible body marker creation is grouped
! inside the same undo block for greater efficiency
!
marker modify  &
   marker_name = .plateTest_v0.FLEX_plate.INT_NODE_125  &
   adams_id = 11  &
   node_id = 125  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .plateTest_v0.FLEX_plate.INT_NODE_125  &
   size_of_icons = 0.5
!
marker modify  &
   marker_name = .plateTest_v0.FLEX_plate.INT_NODE_126  &
   adams_id = 12  &
   node_id = 126  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .plateTest_v0.FLEX_plate.INT_NODE_126  &
   size_of_icons = 0.5
!
marker create  &
   marker_name = .plateTest_v0.FLEX_plate.MARKER_2  &
   adams_id = 2  &
   node_id = 126  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .plateTest_v0.FLEX_plate.MARKER_2  &
   size_of_icons = 0.5
!
marker create  &
   marker_name = .plateTest_v0.FLEX_plate.MARKER_4  &
   adams_id = 4  &
   node_id = 125  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .plateTest_v0.FLEX_plate.MARKER_4  &
   size_of_icons = 0.5
!
undo end_block
!
part attributes  &
   flexible_body_name = .plateTest_v0.FLEX_plate  &
   color = MAIZE  &
   name_visibility = off
!
!---------------------------------- Contacts ----------------------------------!
!
!
contact create  &
   contact_name = .plateTest_v0.CONTACT_1  &
   adams_id = 1  &
   type = flex_to_solid  &
   i_flex = .plateTest_v0.FLEX_plate  &
   j_geometry_name = .plateTest_v0.PART_box.BOX_1  &
   stiffness = 1.0E+08  &
   damping = 30.0  &
   exponent = 2.2  &
   dmax = 0.1
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint fixed  &
   joint_name = .plateTest_v0.fix2  &
   adams_id = 1  &
   i_marker_name = .plateTest_v0.ground.MARKER_1  &
   j_marker_name = .plateTest_v0.FLEX_plate.MARKER_2
!
constraint attributes  &
   constraint_name = .plateTest_v0.fix2  &
   name_visibility = off  &
   size_of_icons = 0.5
!
constraint create joint fixed  &
   joint_name = .plateTest_v0.fix1  &
   adams_id = 2  &
   i_marker_name = .plateTest_v0.ground.MARKER_3  &
   j_marker_name = .plateTest_v0.FLEX_plate.MARKER_4
!
constraint attributes  &
   constraint_name = .plateTest_v0.fix1  &
   name_visibility = off  &
   size_of_icons = 0.5
!
constraint create joint planar  &
   joint_name = .plateTest_v0.planar  &
   adams_id = 3  &
   i_marker_name = .plateTest_v0.ground.MARKER_6  &
   j_marker_name = .plateTest_v0.PART_box.MARKER_7
!
constraint attributes  &
   constraint_name = .plateTest_v0.planar  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
force create direct single_component_force  &
   single_component_force_name = .plateTest_v0.SFORCE_1  &
   adams_id = 1  &
   type_of_freedom = translational  &
   i_marker_name = .plateTest_v0.PART_box.MARKER_8  &
   j_marker_name = .plateTest_v0.ground.MARKER_9  &
   action_only = on  &
   function = ""
!
!----------------------------- Simulation Scripts -----------------------------!
!
!
simulation script create  &
   sim_script_name = .plateTest_v0.SIM_SCRIPT_1  &
   solver_commands = "INTEGRATOR/SI2,GSTIFF,ERROR = 1.0E-2",  &
                     "SIMULATE/STATIC",  &
                     "SIMULATE/DYNAMIC, END=1.0, DTOUT=5.0E-03"
!
simulation script create  &
   sim_script_name = .plateTest_v0.Last_Sim  &
   commands =   &
              "simulation single_run scripted sim_script_name=.plateTest_v0.SIM_SCRIPT_1 reset_before_and_after=yes model_name=.plateTest_v0"
!
!-------------------------- Adams View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .plateTest_v0.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = .plateTest_v0.general_motion_1  &
   definition_name = .MDI.Constraints.general_motion  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.i_marker  &
   object_value = (.plateTest_v0.ground.MARKER_6)
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.j_marker  &
   object_value = (.plateTest_v0.PART_box.MARKER_7)
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.constraint  &
   object_value = (.plateTest_v0.planar)
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.t1_type  &
   integer_value = 1
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.t2_type  &
   integer_value = 0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.t3_type  &
   integer_value = 0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.r1_type  &
   integer_value = 0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.r2_type  &
   integer_value = 0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.r3_type  &
   integer_value = 0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.t1_func  &
   string_value = "step(time,0,0,1,-10)"
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.t2_func  &
   string_value = "0 * time"
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.t3_func  &
   string_value = "0 * time"
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.r1_func  &
   string_value = "0 * time"
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.r2_func  &
   string_value = "0 * time"
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.r3_func  &
   string_value = "0 * time"
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.t1_ic_disp  &
   real_value = 0.0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.t2_ic_disp  &
   real_value = 0.0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.t3_ic_disp  &
   real_value = 0.0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.r1_ic_disp  &
   real_value = 0.0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.r2_ic_disp  &
   real_value = 0.0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.r3_ic_disp  &
   real_value = 0.0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.t1_ic_velo  &
   real_value = 0.0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.t2_ic_velo  &
   real_value = 0.0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.t3_ic_velo  &
   real_value = 0.0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.r1_ic_velo  &
   real_value = 0.0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.r2_ic_velo  &
   real_value = 0.0
!
variable modify  &
   variable_name = .plateTest_v0.general_motion_1.r3_ic_velo  &
   real_value = 0.0
!
ude modify instance  &
   instance_name = .plateTest_v0.general_motion_1
!
undo end_block
!
!------------------------------ Dynamic Graphics ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .plateTest_v0.ground
!
geometry create shape force  &
   force_name = .plateTest_v0.SFORCE_1_force_graphic_1  &
   adams_id = 6  &
   force_element_name = .plateTest_v0.SFORCE_1  &
   applied_at_marker_name = .plateTest_v0.PART_box.MARKER_8
!
geometry create shape gcontact  &
   contact_force_name = .plateTest_v0.GCONTACT_5  &
   adams_id = 5  &
   contact_element_name = .plateTest_v0.CONTACT_1  &
   force_display = components
!
geometry attributes  &
   geometry_name = .plateTest_v0.GCONTACT_5  &
   color = RED
!
!----------------------------- Analysis settings ------------------------------!
!
!
!---------------------------------- Measures ----------------------------------!
!
!
measure create function  &
   measure_name = .plateTest_v0.FMEA_fcon_x_CRASHESADAMS  &
   function = ""  &
   units = "force"  &
   create_measure_display = no
!
data_element attributes  &
   data_element_name = .plateTest_v0.FMEA_fcon_x_CRASHESADAMS  &
   active = off  &
   color = WHITE
!
!---------------------------- Function definitions ----------------------------!
!
!
measure modify function  &
   measure_name = .plateTest_v0.FMEA_fcon_x_CRASHESADAMS  &
   function = "CONTACT(.plateTest_v0.CONTACT_1, 0, 2, 0)"
!
force modify direct single_component_force  &
   single_component_force_name = .plateTest_v0.SFORCE_1  &
   function = "50"
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .plateTest_v0.general_motion_1
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
material modify  &
   material_name = .plateTest_v0.steel  &
   density = (7801.0(kg/meter**3))  &
   youngs_modulus = (2.07E+11(Newton/meter**2))
!
geometry modify shape block  &
   block_name = .plateTest_v0.PART_box.BOX_1  &
   diag_corner_coords =   &
      (1.0inch),  &
      (1.0inch),  &
      (0.5inch)
!
geometry modify shape force  &
   force_name = .plateTest_v0.SFORCE_1_force_graphic_1  &
   applied_at_marker_name = (.plateTest_v0.SFORCE_1.i)
!
model display  &
   model_name = plateTest_v0
